Subject: FW: New voicemail from (303) 719-3412
From: Deeksha Dadu <[email-masked]>
To: Ashish Dabral <[email-masked]>
Cc: Phaedrus Arif <[email-masked]>
Date: Thu, 1 Jul 2021 08:08:12 +0000

Ashish, please urgently investigate if this person called us at all. If yes, did we miss the call? If we missed the call, did anyone attempt calling him back. I need the answers asap

From: "- Dr. Sam Robbins -" <[email-masked]<mailto:[email-masked]>>
Date: Thursday, 1 July 2021 at 1:19 AM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, Deeksha Dadu <[email-masked]<mailto:[email-masked]>>, Saurabh Dadu <[email-masked]<mailto:[email-masked]>>
Subject: Fwd: New voicemail from (303) 719-3412

Hi team - please call this person.

As you see from the below, nobody call them back and they are trying to put in an order. This, I'm sure, is of many other complaints people have, but just don't share and we walk away with unhappy customers and lost sales.

I'm VERY unhappy.

Saurabh - I never heard back from you about this, either. Dave has been going back and forth, but you just disappeared. Again, poor "service" and this is YOUR business. =(

---------- Forwarded message ---------
From: Google Voice <[email-masked]<mailto:[email-masked]>>
Date: Wed, Jun 30, 2021 at 12:45 PM
Subject: New voicemail from (303) 719-3412
To: <[email-masked]<mailto:[email-masked]>>

[Google Voice]<https://voice.google.com>
Hi, this is Robert Roberts. I've been trying to order some products. I called yesterday and nobody called back and I'm calling again today home somebody will give me a call. My number is 303-719-3412. Thank you.
play message<https://www.google.com/voice/fm/08852669408223499264/AHwOX_C-cT8EH7hfVasQAJmaXc9OEzU6QYT0t0M5ruGcnCrwM_RquQeLDW4Pg01BKaqyQZx2wZyyDye1UByvDE8Qfnn2euauWWhDFh-Xd8Wzf1qf8a9lalh8KlAPQc9U6LIZN7VsrWNR8mS-uAN3W6SnzxNw-2ex1M46T9zIBlh5DQ_XFhs3B-s>
YOUR ACCOUNT<https://voice.google.com>  HELP CENTER<https://support.google.com/voice#topic=1707989>     HELP FORUM<https://productforums.google.com/forum/#!forum/voice>
This email was sent to you because you indicated that you'd like to receive email notifications for voicemail. If you don't want to receive such emails in the future, please update your email notification settings<https://voice.google.com/settings#voicemail>.
[Google]
Google LLC
1600 Amphitheatre Pkwy
Mountain View CA 94043 USA